Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository
Class BaseResoueceDataProvider

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.BaseResoueceDataProvider

All Implemented Interfaces:
  ResourceDataProvider

Direct Known Subclasses:
  ContentResourceDataProvider, FileResourceDataProvider

    public abstract class BaseResoueceDataProvider

extends java.lang.Object
implements ResourceDataProvider

Version:
  $Id: BaseResoueceDataProvider.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`BaseResoueceDataProvider()`

Method Summary
`java.lang.String` | `getFileName(Resource resource)`
`java.lang.String` | `getFilenameSuffix()`
`RepositoryService` | `getRepository()`
`void` | `setFilenameSuffix(java.lang.String fileSuffix)`
`void` | `setRepository(RepositoryService repository)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.export.modules.repository.ResourceDataProvider
`getData`

Constructor Detail

### BaseResoueceDataProvider

    public BaseResoueceDataProvider()

Method Detail

### getFileName

    public java.lang.String getFileName(Resource resource)

  Specified by:
    `getFileName` in interface `ResourceDataProvider`

### getFilenameSuffix

    public java.lang.String getFilenameSuffix()

### setFilenameSuffix

    public void setFilenameSuffix(java.lang.String fileSuffix)

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.